Package net.postgis.jdbc.geometry.binary

# Class ByteGetter

java.lang.Object
net.postgis.jdbc.geometry.binary.ByteGetter

Direct Known Subclasses:
  `ByteGetter.BinaryByteGetter`, `ByteGetter.StringByteGetter`

public abstract class ByteGetter extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ByteGetter.BinaryByteGetter`
`static class`
`ByteGetter.StringByteGetter`

## Constructor Summary

Constructors
Constructor
Description
`ByteGetter()`

## Method Summary

Modifier and Type
Method
Description
`abstract int`
`get(int index)`
Get a byte.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ByteGetter

public ByteGetter()

## Method Details

### get

public abstract int get(int index)
Get a byte.

Parameters:
  `index` - the index to get the value from
Returns:
  The result is returned as Int to eliminate sign problems when or'ing several values together.